Summary: icculus.org Quake2 
Name: quake2
Version: r0.16.1
Release: io1
License: GPL
Group: Amusements/Games
Source: http://www.icculus.org/quake2/files/%{name}-%{version}.tar.gz
Source2: quake2.xpm
Source3: quake2.sh
Source4: roguesrc320.shar.Z
Source5: xatrixsrc320.shar.Z
Patch0: quake2_r0_16_1-ALSA-MP-Makefile.patch 
Patch1: roguesrc320-nan.patch
URL: http://www.icculus.org/quake2/
BuildRoot: %{_tmppath}/%{name}-root
AutoReq: no
Requires: SDL, alsa-lib
BuildRequires: SDL-devel, alsa-lib-devel, desktop-file-utils, gzip, /bin/sh

%description
icculus.org Linux-oriented changes and enhancements to id Software
Quake2 3.21.

%prep
%setup -q
# Enable ALSA and mission-packs
%patch0 -p0 -b .makefile
# Uncompress mission-packs source
mkdir -p src/rogue
mkdir -p src/xatrix
zcat $RPM_SOURCE_DIR/roguesrc320.shar.Z >src/rogue/roguesrc320.shar
zcat $RPM_SOURCE_DIR/xatrixsrc320.shar.Z >src/xatrix/xatrixsrc320.shar
# User will have to acknowledge license
cd src/rogue ; /bin/sh roguesrc320.shar ; cd -
cd src/xatrix ; /bin/sh xatrixsrc320.shar ; cd -
# Fix nan
%patch1 -p0 -b .nan

%build
make build_release

%install
rm -rf %{buildroot}
# Text files
install -D -m644 README \
	%{buildroot}/usr/local/games/quake2/README
install -D -m644 readme.txt \
	%{buildroot}/usr/local/games/quake2/readme.txt
# SO files
install -D -m755 releasei386/gamei386.so \
	%{buildroot}/usr/local/games/quake2/baseq2/gamei386.so
install -D -m755 releasei386/ctf/gamei386.so \
	%{buildroot}/usr/local/games/quake2/ctf/gamei386.so
install -D -m755 releasei386/ref_sdlgl.so \
	%{buildroot}/usr/local/games/quake2/ref_sdlgl.so
install -D -m755 releasei386/ref_softsdl.so \
	%{buildroot}/usr/local/games/quake2/ref_softsdl.so
install -D -m755 releasei386/ref_glx.so  \
	%{buildroot}/usr/local/games/quake2/ref_glx.so
install -D -m755 releasei386/ref_softx.so  \
	%{buildroot}/usr/local/games/quake2/ref_softx.so
# Mission-packs
install -D -m755 releasei386/rogue/gamei386.so \
	%{buildroot}/usr/local/games/quake2/rogue/gamei386.so
install -D -m755 releasei386/xatrix/gamei386.so \
	%{buildroot}/usr/local/games/quake2/xatrix/gamei386.so
# Binaries
install -D -m755 releasei386/quake2 \
	%{buildroot}/usr/local/games/quake2/quake2
install -D -m755 releasei386/sdlquake2 \
	%{buildroot}/usr/local/games/quake2/sdlquake2
install -D -m755 $RPM_SOURCE_DIR/quake2.sh \
	%{buildroot}/usr/local/games/quake2/quake2.sh
# Icon
install -D -m644 $RPM_SOURCE_DIR/quake2.xpm \
	%{buildroot}/usr/local/games/quake2/quake2.xpm
# Desktop file
cat >%{name}.desktop << EOF
[Desktop Entry]
Name=Quake2
Comment=icculus.org Quake2
Exec=/usr/local/games/quake2/quake2.sh
Icon=/usr/local/games/quake2/quake2.xpm
Terminal=true
Type=Application
Categories=Application;Game;
Encoding=UTF-8
EOF
#install -D -m644 $RPM_SOURCE_DIR/%{name}.desktop \
#	%{buildroot}%{_datadir}/applications/icculusorg-quake2.desktop
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor icculus.org \
	--dir %{buildroot}%{_datadir}/applications  \
    %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
/usr/local/games/quake2/README
/usr/local/games/quake2/readme.txt
/usr/local/games/quake2/baseq2
/usr/local/games/quake2/baseq2/gamei386.so
/usr/local/games/quake2/rogue
/usr/local/games/quake2/rogue/gamei386.so
/usr/local/games/quake2/xatrix
/usr/local/games/quake2/xatrix/gamei386.so
/usr/local/games/quake2/ctf
/usr/local/games/quake2/ctf/gamei386.so
/usr/local/games/quake2/quake2
/usr/local/games/quake2/sdlquake2
/usr/local/games/quake2/quake2.sh
/usr/local/games/quake2/quake2.xpm
/usr/local/games/quake2/ref_sdlgl.so
/usr/local/games/quake2/ref_softsdl.so
/usr/local/games/quake2/ref_glx.so
/usr/local/games/quake2/ref_softx.so
%{_datadir}/applications/icculus.org-%{name}.desktop

%changelog
* Sat Nov 30 2002 Fabrice Colin <colinf@chez.com>
- Hacked Matthias Saou's frozen-bubble.spec for io quake2 :-)
